Subject: bug#49629: 27.2; electric-pair-mode doesn't work for angle brackets in HTML file

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 28 Jul 2021 17:42:32 +0200

Allen Li <[email-masked]> writes:

> I tried some printf debugging and I noticed that the bug goes away
> when I add (message "%S" (buffer-substring-no-properties (point-min)
> (point-max))) to the top of electric-pair--balance-info.  Maybe I'm
> being dense, but I think that expression should not have this kind of
> side effect.

It should not, but it sounds like whatever's going on might be redisplay
dependent?  In which case it might be better to say

(push (buffer-string) my-var)

at strategic places in the code instead of messaging, and then examining
my-var afterwards.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no